Bug 977748 - The consumer info on SAM need to be updated when autosubscribe with no product certs.
The consumer info on SAM need to be updated when autosubscribe with no produc...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: candlepin (Show other bugs)
1.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Tom McKay
SAM QE List
:
Depends On:
Blocks: sam13-tracker
  Show dependency treegraph
 
Reported: 2013-06-25 05:15 EDT by qianzhan
Modified: 2013-10-01 06:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 06:59:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhsm_sam.log (113.28 KB, text/plain)
2013-06-25 05:15 EDT, qianzhan
no flags Details
'rhsm_stage.log' (82.28 KB, text/plain)
2013-06-25 05:16 EDT, qianzhan
no flags Details

  None (edit)
Description qianzhan 2013-06-25 05:15:37 EDT
Created attachment 764990 [details]
rhsm_sam.log

Description of problem:
The consumer info on SAM need to be updated when autosubscribe with no product certs.

Version-Release number of selected component (if applicable):
subscription-manager-gui-1.8.10-1.el5
subscription-manager-firstboot-1.8.10-1.el5
subscription-manager-1.8.10-1.el5
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-cli-1.4.2-8.el6sat.noarch
katello-cli-common-1.4.2-8.el6sat.noarch
katello-common-1.4.2-16.el6sam_splice.noarch
katello-configure-1.4.3-17.el6sam.noarch
katello-glue-candlepin-1.4.2-16.el6sam_splice.noarch
katello-glue-elasticsearch-1.4.2-16.el6sam_splice.noarch
katello-headpin-1.4.2-16.el6sam_splice.noarch
katello-headpin-all-1.4.2-16.el6sam_splice.noarch
katello-selinux-1.4.3-3.el6sat.noarch
signo-katello-0.0.18-1.el6sat.noarch
candlepin-0.8.9-1.el6_4.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-tomcat6-0.8.9-1.el6_4.noarch
thumbslug-0.0.32-1.el6sam.noarch
thumbslug-selinux-0.0.32-1.el6sam.noarch

How reproducible:
always

Steps to Reproduce:
1. Config test client(RHEL5.10) to register to SAM.

2. Register to SAM
[root@dhcp-65-74 pki]# subscription-manager register
Username: admin
Password: 
The system has been registered with ID: 17721f06-6cae-4713-9d0b-9f7d11f78583

3. Check the consumer info from SAM, and the "installedProducts" field is not empty:
"installedProducts":[{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7b","productId":"69","productName":"Red Hat Enterprise Linux Server","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"},{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7c","productId":"83","productName":"Red Hat Enterprise Linux High Availability (for RHEL Server)","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"},{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7d","productId":"90","productName":"Red Hat Enterprise Linux Resilient Storage (for RHEL Server)","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"}]

[root@dhcp-65-74 pki]# curl -u admin:admin -k https://10.66.12.235/sam/api/consumers/17721f06-6cae-4713-9d0b-9f7d11f78583
{"content_view_id":null,"created_at":"2013-06-25T08:19:28Z","description":"Initial Registration Params","environment_id":1,"id":119,"location":"None","name":"dhcp-65-74.nay.redhat.com","updated_at":"2013-06-25T08:19:28Z","uuid":"17721f06-6cae-4713-9d0b-9f7d11f78583","href":"/consumers/17721f06-6cae-4713-9d0b-9f7d11f78583","facts":{"virt.uuid":"5cc401c5-fa9d-3f5c-2951-42e7a1e01e17","dmi.chassis.power_supply_state":"Safe","dmi.memory.error_correction_type":"Multi-bit ECC","dmi.processor.upgrade":"Other","network.ipv4_address":"10.66.65.74","dmi.bios.rom_size":"64 KB","dmi.processor.family":"Other","dmi.chassis.thermal_state":"Safe","net.interface.virbr0.ipv4_broadcast":"192.168.122.255","cpu.thread(s)_per_core":"1","dmi.system.sku_number":"Not Specified","distribution.version":"5.10","dmi.bios.runtime_size":"96 KB","dmi.bios.bios_revision":"1.0","dmi.memory.array_handle":"0x1000","dmi.system.version":"RHEL 6.4.0 PC","virt.is_guest":"true","memory.swaptotal":"2064376","dmi.memory.total_width":"64 bit","dmi.system.product_name":"KVM","system.certificate_version":"3.2","net.interface.eth0.ipv4_address":"10.66.65.74","dmi.bios.vendor":"Seabios","distribution.id":"Tikanga","dmi.memory.location":"Other","dmi.memory.size":"1024 MB","dmi.chassis.type":"Other","uname.version":"#1 SMP Fri Jun 7 14:31:32 EDT 2013","dmi.bios.version":"0.5.1","cpu.core(s)_per_socket":"1","cpu.cpu(s)":"1","dmi.chassis.serial_number":"Not Specified","dmi.chassis.version":"Not Specified","virt.host_type":"kvm","uname.nodename":"dhcp-65-74.nay.redhat.com","dmi.memory.error_information_handle":"Not Provided","dmi.system.serial_number":"Not Specified","dmi.system.manufacturer":"Red Hat","net.interface.eth0.mac_address":"52:54:00:4E:28:A3","cpu.cpu_socket(s)":"1","dmi.chassis.security_status":"Unknown","dmi.memory.speed":"  (ns)","dmi.system.wake-up_type":"Power Switch","net.interface.virbr0.mac_address":"00:00:00:00:00:00","net.interface.virbr0.ipv4_netmask":"24","dmi.chassis.asset_tag":"Not Specified","memory.memtotal":"1026108","dmi.bios.relase_date":"01/01/2007","dmi.chassis.boot-up_state":"Safe","dmi.memory.form_factor":"DIMM","dmi.processor.socket_designation":"CPU 1","dmi.memory.use":"System Memory","dmi.processor.version":"Not Specified","dmi.memory.bank_locator":"Not Specified","dmi.system.status":"No errors detected","dmi.memory.data_width":"64 bit","net.interface.eth0.ipv4_netmask":"23","net.interface.lo.ipv4_broadcast":"Unknown","dmi.system.family":"Red Hat Enterprise Linux","dmi.processor.voltage":" ","net.interface.lo.ipv4_address":"127.0.0.1","distribution.name":"Red Hat Enterprise Linux Server","net.interface.virbr0.ipv4_address":"192.168.122.1","dmi.memory.maximum_capacity":"1 GB","net.interface.lo.ipv4_netmask":"8","uname.sysname":"Linux","dmi.processor.type":"Central Processor","dmi.memory.type":"RAM","uname.release":"2.6.18-360.el5","network.hostname":"dhcp-65-74.nay.redhat.com","dmi.processor.status":"Populated:Enabled","network.ipv6_address":"::1","uname.machine":"x86_64","dmi.chassis.manufacturer":"Red Hat","dmi.memory.locator":"DIMM 0","dmi.bios.address":"0xe8000","net.interface.eth0.ipv4_broadcast":"10.66.65.255","dmi.system.uuid":"5cc401c5-fa9d-3f5c-2951-42e7a1e01e17","dmi.chassis.lock":"Not Present"},"idCert":{"created":"2013-06-25T08:19:28.387+0000","updated":"2013-06-25T08:19:28.387+0000","key":"-----BEGIN RSA PRIVATE KEY-----\nMIIEpAIBAAKCAQEAjGjucQS7vix0c/b3UuiRsbAkuu9FZKhJZoy65Ec9HpAHaf8K\nSuMzSpZzC+AQhEOGO5L3e0rMWmlDr/74U85cRdhkpQjmad4MoGYa42dWptB2qfVt\nunFD8HXIyEMwTifW9MM+CFQ0uwr3nBZgnifkHR6Z0QgQFBL+F/NWq5QkxNXTs8f7\n6eANsAlppB3wgSq0NHmsO/vCPWhO0KqC0FaQrukAZKdgxIrUW843Cfq5L+UXwGzz\nnLrVS0MBReN+Sz28JvkOwZyChH0JdKcJyvAyrz26eany7tD3yWnR3Ay2S/kT+oyZ\n6cVEJMQOxzzLcvhF2Eebz02a+sCTgKG+9YWNAwIDAQABAoIBAG4wyy+W71/Hs3xu\njJpcOjqgabLqpCLijvgT6XfNEIIzth3RMVqkA1S9zXu8VDn4ZBfMtrvjb4xkn+I2\nztu2T2Pg9tstqOXchTw75U4hgzdW0kl/eqWezhqf1PqVAAvV6DQeJUiUDO3dJYUx\napGz7KmNolkRYszeOtrA9Xuhv1lY7B1ChbC0Tr4MCXqlz5FCvwZgtGw4iQZfAtMZ\n0JrnvNQO/6aCQU6/+mlLTXGaxj3utyFvfRsuqJoyLP6CmG2WT1g5JZ+134NKeXcV\no7v3hivlLUK43t2YYB9N99pMET6GRYKcOFlM45RwovqA9rXfuXVYxTAhhMVlhYFI\ndBfVmAECgYEAw1UWatzkxBORkvOjFltdsoMPe2Il7qrB1uE0hJClYsBk3JzdRvwu\nYFFlkOjiFV+sZZHHwcoVWuQ//+dkIhL23sEna7oQCCMkDOknd+uvS3hBDYShCl3n\ndpBXvh/qQDUjCpVbvlziyhpOp46VP7UgYU4Yo56eg/epOTpbRNAY5oMCgYEAuATy\ndTNlxI/zcOCV4OvudCD9lsO18ddWvmfP94keIIiPHIuxNuLBT3re4ShDP2KIoOZW\n/woi2eKtb+ejXMbB7C2XWgk0KYA82ae8HxB0TLKmYX/lGk7vVG1xXpgodNeGfzeM\njB9lBVK1y1oVUobSCuaNxGuVYcJA6OoGBbZb94ECgYBwPUJGYWtqZ7wsbqb1v8ZV\nPw30Xe9h9uivKnTc/6io19idE93qXhnf6qWr4MWYdoM/UccwyYf/1EwaJcHZ+n+0\ne9TFCAMSSe77JDYzqE/v08e9lspahJ7t9/8TFo+qGV5rRGuVNRZz/y3XBg0osFFM\n2G08B3caaYLpiWjMX68PNQKBgQCAC2EyUBtGFOxN5Nglc8WupK4P1AqsRyyivNWm\n5pBCDwOV11XuXQYp6dNgVIXGeyea3ew29rSda+9G6KVxjxOs5WRlT/Yt0n+E7AQo\nkWh7XewL99RQ5BAAbU7vhWzRMI7zwpFXhxjiBVVeNEaV8B4DW73VqQ5+wY4tA3pB\nS0zfAQKBgQCsV5QrmZUtobViFNw3Ff7oLPakYH4qeLE+uWkIf/ulmbjfDZMeXYRs\nLrdiDMuPN+PHaTW/SnEop2FUoLAgxQXumue8a9GlKQOtxolWakej43VonngD4u3T\nKNdBrNqcgjtaR24H9zhMI/vRTQCv6Hs29woHPHmIpQdTjPrDbNsI/w==\n-----END RSA PRIVATE KEY-----\n","cert":"-----BEGIN CERTIFICATE-----\nMIIEbjCCA1agAwIBAgIIIcGhDdRjtYAwDQYJKoZIhvcNAQEFBQAwfTELMAkGA1UE\nBhMCVVMxFzAVBgNVBAgTDk5vcnRoIENhcm9saW5hMRAwDgYDVQQHEwdSYWxlaWdo\nMRAwDgYDVQQKEwdTb21lT3JnMRQwEgYDVQQLEwtTb21lT3JnVW5pdDEbMBkGA1UE\nAxMSc2Ftc2Vydi5yZWRoYXQuY29tMB4XDTEzMDYyNTA4MTkyN1oXDTI5MDYyNTA4\nMTkyN1owLzEtMCsGA1UEAxMkMTc3MjFmMDYtNmNhZS00NzEzLTlkMGItOWY3ZDEx\nZjc4NTgzMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAjGjucQS7vix0\nc/b3UuiRsbAkuu9FZKhJZoy65Ec9HpAHaf8KSuMzSpZzC+AQhEOGO5L3e0rMWmlD\nr/74U85cRdhkpQjmad4MoGYa42dWptB2qfVtunFD8HXIyEMwTifW9MM+CFQ0uwr3\nnBZgnifkHR6Z0QgQFBL+F/NWq5QkxNXTs8f76eANsAlppB3wgSq0NHmsO/vCPWhO\n0KqC0FaQrukAZKdgxIrUW843Cfq5L+UXwGzznLrVS0MBReN+Sz28JvkOwZyChH0J\ndKcJyvAyrz26eany7tD3yWnR3Ay2S/kT+oyZ6cVEJMQOxzzLcvhF2Eebz02a+sCT\ngKG+9YWNAwIDAQABo4IBPjCCATowEQYJYIZIAYb4QgEBBAQDAgWgMAsGA1UdDwQE\nAwIEsDCBsAYDVR0jBIGoMIGlgBSe0d7Ei8/k53dFX+1KTYenOFf6UKGBgaR/MH0x\nCzAJBgNVBAYTAlVTMRcwFQYDVQQIEw5Ob3J0aCBDYXJvbGluYTEQMA4GA1UEBxMH\nUmFsZWlnaDEQMA4GA1UEChMHU29tZU9yZzEUMBIGA1UECxMLU29tZU9yZ1VuaXQx\nGzAZBgNVBAMTEnNhbXNlcnYucmVkaGF0LmNvbYIJALHl4FMqneQ8MB0GA1UdDgQW\nBBTtKoMVlAe4/J1R3ExtUUDqbuNu8zATBgNVHSUEDDAKBggrBgEFBQcDAjAxBgNV\nHREEKjAopCYwJDEiMCAGA1UEAwwZZGhjcC02NS03NC5uYXkucmVkaGF0LmNvbTAN\nBgkqhkiG9w0BAQUFAAOCAQEAgQv5A8wDOQ7vUZ4IAAKqun5c2KqKklEHJNse9TnN\nRswhpFlPLYkzTHushxzzB4V8xZ6pC3px9D4DnJybYykRYkfLfarBQ3oYMA+T2njq\njLjBgcVqZM+taznzliCKML+kVZ6OCfaLofM6YBC2R7XgnynxyOneRU0lhRMpp9js\nBUHcuqOWPybl+Bt4IblA+bgGfNAAgdCzEZL6m2zEG/o0/CQYqUEI6fI68Zdyx5hE\n3ydJoHUuKy1TdGaTmudzeyuWwJrZci9FwvIzK0nQhfGBFuFiYMudRvnX5C1pNmKw\nHhLZwUahOmjCt07lsGLYChaMObalTPHserK5s2uj25sO8g==\n-----END CERTIFICATE-----\n","id":"8ac28d5a3f74d336013f7a6a84030c7f","serial":{"created":"2013-06-25T08:19:27.816+0000","updated":"2013-06-25T08:19:27.816+0000","id":2432402354526729600,"revoked":false,"collected":false,"expiration":"2029-06-25T08:19:27.816+0000","serial":2432402354526729600}},"owner":{"id":"8ac28d5a3f7447f7013f7448c1600001","key":"ACME_Corporation","displayName":"ACME_Corporation","href":"/owners/ACME_Corporation"},"autoheal":true,"release":null,"releaseVer":{"releaseVer":null},"checkin_time":"2013-06-25T04:19:56-04:00","installedProducts":[{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7b","productId":"69","productName":"Red Hat Enterprise Linux Server","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"},{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7c","productId":"83","productName":"Red Hat Enterprise Linux High Availability (for RHEL Server)","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"},{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7d","productId":"90","productName":"Red Hat Enterprise Linux Resilient Storage (for RHEL Server)","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"}],"serviceLevel":"","environment":{"id":1,"name":"Library","description":null,"library":true,"organization_id":1,"created_at":"2013-06-24T03:44:52Z","updated_at":"2013-06-24T03:44:52Z","label":"Library","prior":null,"prior_id":null,"organization":"ACME_Corporation"},"activation_key":[],"ipv4_address":"10.66.65.74"}

4. Move the product cert to other dir
[root@dhcp-65-74 pki]# mv /etc/pki/product/*.pem /etc/pki/
[root@dhcp-65-74 pki]# ls /etc/pki/product/
[root@dhcp-65-74 pki]# ls /etc/pki/
69.pem  83.pem  90.pem  CA  consumer  entitlement  nssdb  product  rpm-gpg  tls

5. Auto subscribe.
[root@dhcp-65-74 pki]# subscription-manager subscribe --auto
No Installed products on system. No need to attach subscriptions.
[root@dhcp-65-74 pki]# echo $?
1

6.Check the consumer info from SAM, and the "installedProducts" field is not empty:
"installedProducts":[{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7b","productId":"69","productName":"Red Hat Enterprise Linux Server","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"},{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7c","productId":"83","productName":"Red Hat Enterprise Linux High Availability (for RHEL Server)","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"},{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7d","productId":"90","productName":"Red Hat Enterprise Linux Resilient Storage (for RHEL Server)","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"}]

[root@dhcp-65-74 pki]# curl -u admin:admin -k https://10.66.12.235/sam/api/consumers/17721f06-6cae-4713-9d0b-9f7d11f78583
{"content_view_id":null,"created_at":"2013-06-25T08:19:28Z","description":"Initial Registration Params","environment_id":1,"id":119,"location":"None","name":"dhcp-65-74.nay.redhat.com","updated_at":"2013-06-25T08:19:28Z","uuid":"17721f06-6cae-4713-9d0b-9f7d11f78583","href":"/consumers/17721f06-6cae-4713-9d0b-9f7d11f78583","facts":{"virt.uuid":"5cc401c5-fa9d-3f5c-2951-42e7a1e01e17","dmi.chassis.power_supply_state":"Safe","dmi.memory.error_correction_type":"Multi-bit ECC","dmi.processor.upgrade":"Other","network.ipv4_address":"10.66.65.74","dmi.bios.rom_size":"64 KB","dmi.processor.family":"Other","dmi.chassis.thermal_state":"Safe","net.interface.virbr0.ipv4_broadcast":"192.168.122.255","cpu.thread(s)_per_core":"1","dmi.system.sku_number":"Not Specified","distribution.version":"5.10","dmi.bios.runtime_size":"96 KB","dmi.bios.bios_revision":"1.0","dmi.memory.array_handle":"0x1000","dmi.system.version":"RHEL 6.4.0 PC","virt.is_guest":"true","memory.swaptotal":"2064376","dmi.memory.total_width":"64 bit","dmi.system.product_name":"KVM","system.certificate_version":"3.2","net.interface.eth0.ipv4_address":"10.66.65.74","dmi.bios.vendor":"Seabios","distribution.id":"Tikanga","dmi.memory.location":"Other","dmi.memory.size":"1024 MB","dmi.chassis.type":"Other","uname.version":"#1 SMP Fri Jun 7 14:31:32 EDT 2013","dmi.bios.version":"0.5.1","cpu.core(s)_per_socket":"1","cpu.cpu(s)":"1","dmi.chassis.serial_number":"Not Specified","dmi.chassis.version":"Not Specified","virt.host_type":"kvm","uname.nodename":"dhcp-65-74.nay.redhat.com","dmi.memory.error_information_handle":"Not Provided","dmi.system.serial_number":"Not Specified","dmi.system.manufacturer":"Red Hat","net.interface.eth0.mac_address":"52:54:00:4E:28:A3","cpu.cpu_socket(s)":"1","dmi.chassis.security_status":"Unknown","dmi.memory.speed":"  (ns)","dmi.system.wake-up_type":"Power Switch","net.interface.virbr0.mac_address":"00:00:00:00:00:00","net.interface.virbr0.ipv4_netmask":"24","dmi.chassis.asset_tag":"Not Specified","memory.memtotal":"1026108","dmi.bios.relase_date":"01/01/2007","dmi.chassis.boot-up_state":"Safe","dmi.memory.form_factor":"DIMM","dmi.processor.socket_designation":"CPU 1","dmi.memory.use":"System Memory","dmi.processor.version":"Not Specified","dmi.memory.bank_locator":"Not Specified","dmi.system.status":"No errors detected","dmi.memory.data_width":"64 bit","net.interface.eth0.ipv4_netmask":"23","net.interface.lo.ipv4_broadcast":"Unknown","dmi.system.family":"Red Hat Enterprise Linux","dmi.processor.voltage":" ","net.interface.lo.ipv4_address":"127.0.0.1","distribution.name":"Red Hat Enterprise Linux Server","net.interface.virbr0.ipv4_address":"192.168.122.1","dmi.memory.maximum_capacity":"1 GB","net.interface.lo.ipv4_netmask":"8","uname.sysname":"Linux","dmi.processor.type":"Central Processor","dmi.memory.type":"RAM","uname.release":"2.6.18-360.el5","network.hostname":"dhcp-65-74.nay.redhat.com","dmi.processor.status":"Populated:Enabled","network.ipv6_address":"::1","uname.machine":"x86_64","dmi.chassis.manufacturer":"Red Hat","dmi.memory.locator":"DIMM 0","dmi.bios.address":"0xe8000","net.interface.eth0.ipv4_broadcast":"10.66.65.255","dmi.system.uuid":"5cc401c5-fa9d-3f5c-2951-42e7a1e01e17","dmi.chassis.lock":"Not Present"},"idCert":{"created":"2013-06-25T08:19:28.387+0000","updated":"2013-06-25T08:19:28.387+0000","key":"-----BEGIN RSA PRIVATE KEY-----\nMIIEpAIBAAKCAQEAjGjucQS7vix0c/b3UuiRsbAkuu9FZKhJZoy65Ec9HpAHaf8K\nSuMzSpZzC+AQhEOGO5L3e0rMWmlDr/74U85cRdhkpQjmad4MoGYa42dWptB2qfVt\nunFD8HXIyEMwTifW9MM+CFQ0uwr3nBZgnifkHR6Z0QgQFBL+F/NWq5QkxNXTs8f7\n6eANsAlppB3wgSq0NHmsO/vCPWhO0KqC0FaQrukAZKdgxIrUW843Cfq5L+UXwGzz\nnLrVS0MBReN+Sz28JvkOwZyChH0JdKcJyvAyrz26eany7tD3yWnR3Ay2S/kT+oyZ\n6cVEJMQOxzzLcvhF2Eebz02a+sCTgKG+9YWNAwIDAQABAoIBAG4wyy+W71/Hs3xu\njJpcOjqgabLqpCLijvgT6XfNEIIzth3RMVqkA1S9zXu8VDn4ZBfMtrvjb4xkn+I2\nztu2T2Pg9tstqOXchTw75U4hgzdW0kl/eqWezhqf1PqVAAvV6DQeJUiUDO3dJYUx\napGz7KmNolkRYszeOtrA9Xuhv1lY7B1ChbC0Tr4MCXqlz5FCvwZgtGw4iQZfAtMZ\n0JrnvNQO/6aCQU6/+mlLTXGaxj3utyFvfRsuqJoyLP6CmG2WT1g5JZ+134NKeXcV\no7v3hivlLUK43t2YYB9N99pMET6GRYKcOFlM45RwovqA9rXfuXVYxTAhhMVlhYFI\ndBfVmAECgYEAw1UWatzkxBORkvOjFltdsoMPe2Il7qrB1uE0hJClYsBk3JzdRvwu\nYFFlkOjiFV+sZZHHwcoVWuQ//+dkIhL23sEna7oQCCMkDOknd+uvS3hBDYShCl3n\ndpBXvh/qQDUjCpVbvlziyhpOp46VP7UgYU4Yo56eg/epOTpbRNAY5oMCgYEAuATy\ndTNlxI/zcOCV4OvudCD9lsO18ddWvmfP94keIIiPHIuxNuLBT3re4ShDP2KIoOZW\n/woi2eKtb+ejXMbB7C2XWgk0KYA82ae8HxB0TLKmYX/lGk7vVG1xXpgodNeGfzeM\njB9lBVK1y1oVUobSCuaNxGuVYcJA6OoGBbZb94ECgYBwPUJGYWtqZ7wsbqb1v8ZV\nPw30Xe9h9uivKnTc/6io19idE93qXhnf6qWr4MWYdoM/UccwyYf/1EwaJcHZ+n+0\ne9TFCAMSSe77JDYzqE/v08e9lspahJ7t9/8TFo+qGV5rRGuVNRZz/y3XBg0osFFM\n2G08B3caaYLpiWjMX68PNQKBgQCAC2EyUBtGFOxN5Nglc8WupK4P1AqsRyyivNWm\n5pBCDwOV11XuXQYp6dNgVIXGeyea3ew29rSda+9G6KVxjxOs5WRlT/Yt0n+E7AQo\nkWh7XewL99RQ5BAAbU7vhWzRMI7zwpFXhxjiBVVeNEaV8B4DW73VqQ5+wY4tA3pB\nS0zfAQKBgQCsV5QrmZUtobViFNw3Ff7oLPakYH4qeLE+uWkIf/ulmbjfDZMeXYRs\nLrdiDMuPN+PHaTW/SnEop2FUoLAgxQXumue8a9GlKQOtxolWakej43VonngD4u3T\nKNdBrNqcgjtaR24H9zhMI/vRTQCv6Hs29woHPHmIpQdTjPrDbNsI/w==\n-----END RSA PRIVATE KEY-----\n","cert":"-----BEGIN CERTIFICATE-----\nMIIEbjCCA1agAwIBAgIIIcGhDdRjtYAwDQYJKoZIhvcNAQEFBQAwfTELMAkGA1UE\nBhMCVVMxFzAVBgNVBAgTDk5vcnRoIENhcm9saW5hMRAwDgYDVQQHEwdSYWxlaWdo\nMRAwDgYDVQQKEwdTb21lT3JnMRQwEgYDVQQLEwtTb21lT3JnVW5pdDEbMBkGA1UE\nAxMSc2Ftc2Vydi5yZWRoYXQuY29tMB4XDTEzMDYyNTA4MTkyN1oXDTI5MDYyNTA4\nMTkyN1owLzEtMCsGA1UEAxMkMTc3MjFmMDYtNmNhZS00NzEzLTlkMGItOWY3ZDEx\nZjc4NTgzMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAjGjucQS7vix0\nc/b3UuiRsbAkuu9FZKhJZoy65Ec9HpAHaf8KSuMzSpZzC+AQhEOGO5L3e0rMWmlD\nr/74U85cRdhkpQjmad4MoGYa42dWptB2qfVtunFD8HXIyEMwTifW9MM+CFQ0uwr3\nnBZgnifkHR6Z0QgQFBL+F/NWq5QkxNXTs8f76eANsAlppB3wgSq0NHmsO/vCPWhO\n0KqC0FaQrukAZKdgxIrUW843Cfq5L+UXwGzznLrVS0MBReN+Sz28JvkOwZyChH0J\ndKcJyvAyrz26eany7tD3yWnR3Ay2S/kT+oyZ6cVEJMQOxzzLcvhF2Eebz02a+sCT\ngKG+9YWNAwIDAQABo4IBPjCCATowEQYJYIZIAYb4QgEBBAQDAgWgMAsGA1UdDwQE\nAwIEsDCBsAYDVR0jBIGoMIGlgBSe0d7Ei8/k53dFX+1KTYenOFf6UKGBgaR/MH0x\nCzAJBgNVBAYTAlVTMRcwFQYDVQQIEw5Ob3J0aCBDYXJvbGluYTEQMA4GA1UEBxMH\nUmFsZWlnaDEQMA4GA1UEChMHU29tZU9yZzEUMBIGA1UECxMLU29tZU9yZ1VuaXQx\nGzAZBgNVBAMTEnNhbXNlcnYucmVkaGF0LmNvbYIJALHl4FMqneQ8MB0GA1UdDgQW\nBBTtKoMVlAe4/J1R3ExtUUDqbuNu8zATBgNVHSUEDDAKBggrBgEFBQcDAjAxBgNV\nHREEKjAopCYwJDEiMCAGA1UEAwwZZGhjcC02NS03NC5uYXkucmVkaGF0LmNvbTAN\nBgkqhkiG9w0BAQUFAAOCAQEAgQv5A8wDOQ7vUZ4IAAKqun5c2KqKklEHJNse9TnN\nRswhpFlPLYkzTHushxzzB4V8xZ6pC3px9D4DnJybYykRYkfLfarBQ3oYMA+T2njq\njLjBgcVqZM+taznzliCKML+kVZ6OCfaLofM6YBC2R7XgnynxyOneRU0lhRMpp9js\nBUHcuqOWPybl+Bt4IblA+bgGfNAAgdCzEZL6m2zEG/o0/CQYqUEI6fI68Zdyx5hE\n3ydJoHUuKy1TdGaTmudzeyuWwJrZci9FwvIzK0nQhfGBFuFiYMudRvnX5C1pNmKw\nHhLZwUahOmjCt07lsGLYChaMObalTPHserK5s2uj25sO8g==\n-----END CERTIFICATE-----\n","id":"8ac28d5a3f74d336013f7a6a84030c7f","serial":{"created":"2013-06-25T08:19:27.816+0000","updated":"2013-06-25T08:19:27.816+0000","id":2432402354526729600,"revoked":false,"collected":false,"expiration":"2029-06-25T08:19:27.816+0000","serial":2432402354526729600}},"owner":{"id":"8ac28d5a3f7447f7013f7448c1600001","key":"ACME_Corporation","displayName":"ACME_Corporation","href":"/owners/ACME_Corporation"},"autoheal":true,"release":null,"releaseVer":{"releaseVer":null},"checkin_time":"2013-06-25T04:24:58-04:00","installedProducts":[{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7b","productId":"69","productName":"Red Hat Enterprise Linux Server","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"},{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7c","productId":"83","productName":"Red Hat Enterprise Linux High Availability (for RHEL Server)","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"},{"created":"2013-06-25T08:19:27.811+0000","updated":"2013-06-25T08:19:27.811+0000","id":"8ac28d5a3f74d336013f7a6a81c30c7d","productId":"90","productName":"Red Hat Enterprise Linux Resilient Storage (for RHEL Server)","version":"5.10 Beta","arch":"x86_64","status":"green","startDate":"2012-09-27T04:00:00.000+0000","endDate":"2013-09-27T03:59:59.000+0000"}],"serviceLevel":"","environment":{"id":1,"name":"Library","description":null,"library":true,"organization_id":1,"created_at":"2013-06-24T03:44:52Z","updated_at":"2013-06-24T03:44:52Z","label":"Library","prior":null,"prior_id":null,"organization":"ACME_Corporation"},"activation_key":[],"ipv4_a

7. Check the consumed subscriptions
[root@dhcp-65-74 pki]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Red Hat Employee Subscription
Provides:          Red Hat Enterprise Linux Load Balancer (for RHEL Server)
                   Red Hat Enterprise Linux Workstation
                   Red Hat Enterprise Linux Server
                   Red Hat Enterprise Linux High Availability (for RHEL Server)
                   Red Hat Enterprise Linux Resilient Storage (for RHEL Server)
SKU:               SYS0395
Contract:          3229260
Account:           477931
Serial:            6380788494746878342
Pool ID:           8ac28d5a3f7447f7013f744b2cca00a0
Active:            True
Quantity Used:     1
Service Level:     None
Service Type:      None
Status Details:    
Starts:            09/27/2012
Ends:              09/26/2013


8. Check the entitlement certs
[root@dhcp-65-74 pki]# ll /etc/pki/entitlement/
total 20
-rw------- 1 root root 1679 Jun 25 04:19 6380788494746878342-key.pem
-rw-r--r-- 1 root root 8144 Jun 25 04:19 6380788494746878342.pem

9. Check the status of installed product.
[root@dhcp-65-74 pki]# subscription-manager list --installed
No installed products to list

Actual results:
When autosubscribe with no product cert in /etc/pki/product, there are entitlement certs in /etc/pki/entitlement, and consumed products are displayed in the output of 'list --consumed'.

Expected results:
When autosubscribe with no product cert in /etc/pki/product, there should be no entitlement certs in /etc/pki/entitlement, and no consumed products should be displayed in the output of 'list --consumed'.

Additional info:
1. When keep the /etc/pki/product empty, and register to SAM with auto-attach, there is no error happened.

[root@dhcp-65-74 pki]# mv /etc/pki/product/*.pem /etc/pki/
[root@dhcp-65-74 pki]# ls /etc/pki/product/
[root@dhcp-65-74 pki]# ls /etc/pki/
69.pem  83.pem  90.pem  CA  nssdb  product  rpm-gpg  tls
[root@dhcp-65-74 pki]# subscription-manager register --auto-attach
Username: admin
Password: 
The system has been registered with ID: 625cd401-ba23-40cf-8240-abd4d7a8e40e 
No products installed.
[root@dhcp-65-74 pki]# subscription-manager identity
Current identity is: 625cd401-ba23-40cf-8240-abd4d7a8e40e
name: dhcp-65-74.nay.redhat.com
org name: ACME_Corporation
org ID: ACME_Corporation
[root@dhcp-65-74 pki]# subscription-manager list --consumed
No consumed subscription pools to list
[root@dhcp-65-74 pki]# ll /etc/pki/entitlement/
total 0

2.When execute the same steps on stage,there is no error happened. 
When register to stage with product cert in /etc/pki/product file, get the info of consumer from stage candlepin, and the 'installedProducts' field is not empty as bellow:
"installedProducts":[{"created":"2013-06-25T07:46:19.000+0000","updated":"2013-06-25T07:46:19.000+0000","id":"8a99f9843f3ddee1013f7a4c2a911bdb","productId":"69","productName":"Red Hat Enterprise Linux Server","version":"5.10 Beta","arch":"x86_64","status":"red","startDate":null,"endDate":null}]

Then make the /etc/pki/product file empty and autosubscribe, the 'installedProducts' field is empty:"installedProducts":[]

(1)Register to stage with product cert in /etc/pki/product file
[root@dhcp-66-103-239 ~]# subscription-manager register
Username: stage_test_12
Password: 
The system has been registered with ID: 8d61cb90-37c1-4d21-b7c3-acf6f6cdf781 

(2)Check the consumer info from stage candlepin, and the field 'installedProducts' is not empty.
[root@dhcp-66-103-239 ~]# curl -u stage_test_12:redhat -k https://subscription.rhn.stage.redhat.com/subscription/consumers/8d61cb90-37c1-4d21-b7c3-acf6f6cdf781
{"created":"2013-06-25T07:46:19.000+0000","updated":"2013-06-25T07:46:24.000+0000","id":"8a99f9843f3ddee1013f7a4c2a911bda","uuid":"8d61cb90-37c1-4d21-b7c3-acf6f6cdf781","name":"dhcp-66-103-239.englab.nay.redhat.com","username":"stage_test_12","entitlementStatus":"invalid","serviceLevel":"","releaseVer":{"releaseVer":null},"idCert":{"created":"2013-06-25T07:46:20.000+0000","updated":"2013-06-25T07:46:20.000+0000","key":"-----BEGIN RSA PRIVATE KEY-----\nMIIEpAIBAAKCAQEAiszXNF8+wJy3+7RMhhq8CbPjBOaU30srELVO2sDFniRJAw7D\nM7fTsk3kfmn5EQDGr7Zc+1XQMzXSZK1A8NtQkjPdA63DMU7gYEgEibOnMcCfGnwj\nVehZJtHhetUvH3VjoSflUizDKWKDLMDIA8P9UuoafmcF9syjsNvVB87hHtYX2oWZ\nOUqxSuH4ZO8lGpV3OdyUT2M0YuuEwAhdbF9msPBn5XfXHOEZBGqKFs/94SwLKa7X\nsLU0d5aOd04U3eDPZgYnHqKRvozHTqJj+0RZkWGRBwWPaRClabcj2InIOIxUdzC2\nAeWe1IhiaGuAfitfJZdCLM+YTiggPCtBDEX/iwIDAQABAoIBAHwsASLjSnp6OcY+\naG9Yn3x2p9QMjIau8poB+ceNyb1ObNsFa/BqtkK/mHjXSXDCpv0vQkO/Y4FM1yom\nLQDM02nYaBMQcp08GVNJWnXueNbzoeLJx7rlIEywWu3OpleYZ0cXL/qx/O6bKQry\ndH2Z6pkwwf7vH9DJBnAEWrKfi5pPUJFlPhf+djAd7xkQskK3ozrOMk6NX31x2pVh\nXQpJ31JRP46Yk+OqeSrKSNI3nvD6KzAquKOVkHNFQUcdSJUzhHagxMIR2JdAR5OG\nJjkNlKG8GDfy4C8JCT/gRVNMkjdCryj/UFX7ehxMiGbSOMfpTMW42nQUV8+4BIaf\nSjeIBzECgYEAwySpiO99cSJMvowpwASOqRCSZ9ZqR13HmvAxj+9DrUKwi7CJVwIo\n+QoimJZqwJ1clm7hGETZ9/seXR45TDRGfP+hrc0aCL0ni5Hs2pyJcEyFaTWx0F4J\nK3UsojhQopiFhiJN9LOvQKY2KJInijSNH28j4fg5r8G3V+zJbJ9+MY0CgYEAthYC\nADb0QA0b9Tzx88OSlOYaRRP/SHlyFq8ZrRVDbwtf/0cw8hU5ilP8bKX4cSA+7/Jy\n9XDOlRf1Ad3TMZESd98ZgY77oTL1aDj35dF2KySZHVRZJrfsV7FYQv8hiSlYR9Bh\nyMinoYmXx3Dm5iqXJWw3IvwiPDC/ZLgfkiYNk3cCgYEAtZtmB6FR7brNDzwkEqZr\nGd3pUqeR6u7Ut1W32ksCgbkh0i6t8gJ5nSMYhUbe/Hi2VO3FoC9bZtQWMvTQwCGa\nQ/QnRDcvdliK9/ILKnwp0A/2zK4C2HbbM81th16/dEJbaTR9tjCO9ax5lJJIJ++2\nMj3deAvpq66tcS9VWTipWXUCgYByB6JFJCUeH5eMoxgawjV/zgJRlE5gwr1x+0In\nJJPQbN03bwv17tjUCfigyeemYL1JYxofHwAgWppzCsoB1oosS6kbe8GVl+Yb2OFW\nKTDJn+fLeFFEcBYwbL2LZ19HGH9Sqesy5IYmIZbNraTMK4vwQa7d1+xQqW6S0sPi\nsLX7zQKBgQCisf32RJrqufKyUY5ZPePGu5GnoKyTo4WUaISQCIMfkhCAG3NKh9Yg\nt662/VvrkyMsniHAV95D41bZlFQNhaSvdHC/gSbaz+aGI2Yh94b2rMZvc9VQV6Vq\ny2wWfr9bLfIzEMViI722klAoxb0oJaIQuYo6vbI1M7P32WUYwBi/1A==\n-----END RSA PRIVATE KEY-----\n","cert":"-----BEGIN CERTIFICATE-----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\nAAvUQg==\n-----END CERTIFICATE-----\n","id":"8a99f9843f3ddee1013f7a4c2e261bdd","serial":{"created":"2013-06-25T07:46:19.000+0000","updated":"2013-06-25T07:46:19.000+0000","id":3520571520852882594,"revoked":false,"collected":false,"expiration":"2014-06-25T07:46:19.000+0000","serial":3520571520852882594}},"type":{"id":"0","label":"system","manifest":false},"owner":{"id":"8a99f9833a7a39f2013a8c0365fd7313","key":"6752574","displayName":"6752574","href":"/owners/6752574"},"environment":null,"entitlementCount":0,"facts":{"virt.uuid":"Not Settable","net.interface.eth0.ipv6_netmask.link":"64","dmi.chassis.power_supply_state":"Safe","dmi.memory.error_correction_type":"Multi-bit ECC","dmi.processor.upgrade":"Other","network.ipv4_address":"10.66.103.239","dmi.bios.rom_size":"64 KB","net.interface.lo.ipv6_netmask.host":"128","dmi.processor.family":"Other","dmi.chassis.thermal_state":"Safe","net.interface.sit0.ipv4_netmask":"Unknown","cpu.thread(s)_per_core":"1","dmi.system.sku_number":"Not Specified","distribution.version":"5.10","dmi.bios.runtime_size":"96 KB","net.interface.eth0.ipv6_address.link":"fe80::98aa:79ff:fe8f:775e","dmi.bios.bios_revision":"1.0","dmi.memory.array_handle":"0x1000","dmi.system.version":"RHEL 6.2.0 PC","virt.is_guest":"true","memory.swaptotal":"2064376","dmi.memory.total_width":"64 bit","net.interface.lo.ipv6_address.host":"::1","dmi.system.product_name":"KVM","system.certificate_version":"3.2","net.interface.eth0.ipv4_address":"10.66.103.237","distribution.id":"Tikanga","dmi.bios.vendor":"Seabios","dmi.memory.location":"Other","dmi.memory.size":"1024 MB","dmi.chassis.type":"Other","uname.version":"#1 SMP Fri Jun 7 14:31:32 EDT 2013","dmi.bios.version":"0.5.1","cpu.core(s)_per_socket":"2","cpu.cpu(s)":"2","net.interface.sit0.ipv4_broadcast":"Unknown","dmi.chassis.serial_number":"Not Specified","dmi.chassis.version":"Not Specified","virt.host_type":"kvm","uname.nodename":"dhcp-66-103-239.englab.nay.redhat.com","dmi.memory.error_information_handle":"Not Provided","dmi.system.manufacturer":"Red Hat","dmi.system.serial_number":"Not Specified","net.interface.eth0.mac_address":"9A:AA:79:8F:77:5E","cpu.cpu_socket(s)":"1","dmi.chassis.security_status":"Unknown","dmi.memory.speed":"  (ns)","dmi.system.wake-up_type":"Power Switch","dmi.chassis.asset_tag":"Not Specified","memory.memtotal":"1026052","dmi.bios.relase_date":"01/01/2007","dmi.chassis.boot-up_state":"Safe","dmi.memory.form_factor":"DIMM","dmi.processor.socket_designation":"CPU 1","dmi.memory.use":"System Memory","dmi.processor.version":"Not Specified","dmi.memory.bank_locator":"Not Specified","dmi.system.status":"No errors detected","dmi.memory.data_width":"64 bit","net.interface.eth0.ipv4_netmask":"22","net.interface.lo.ipv4_broadcast":"Unknown","dmi.system.family":"Red Hat Enterprise Linux","net.interface.sit0.ipv4_address":"Unknown","dmi.processor.voltage":" ","net.interface.lo.ipv4_address":"127.0.0.1","distribution.name":"Red Hat Enterprise Linux Server","dmi.memory.maximum_capacity":"1 GB","net.interface.lo.ipv4_netmask":"8","uname.sysname":"Linux","dmi.processor.type":"Central Processor","dmi.memory.type":"RAM","uname.release":"2.6.18-360.el5","network.hostname":"dhcp-66-103-239.englab.nay.redhat.com","dmi.processor.status":"Populated:Enabled","network.ipv6_address":"::1","uname.machine":"x86_64","dmi.chassis.manufacturer":"Red Hat","dmi.memory.locator":"DIMM 0","dmi.bios.address":"0xe8000","net.interface.eth0.ipv4_broadcast":"10.66.103.255","dmi.system.uuid":"Not Settable","dmi.chassis.lock":"Not Present"},"lastCheckin":"2013-06-25T07:46:24.000+0000","installedProducts":[{"created":"2013-06-25T07:46:19.000+0000","updated":"2013-06-25T07:46:19.000+0000","id":"8a99f9843f3ddee1013f7a4c2a911bdb","productId":"69","productName":"Red Hat Enterprise Linux Server","version":"5.10 Beta","arch":"x86_64","status":"red","startDate":null,"endDate":null}],"canActivate":false,"guestIds":[],"capabilities":[],"autoheal":true,"href":"/consumers/8d61cb90-37c1-4d21-b7c3-acf6f6cdf781"}

(3) move the product cert to other dir and autosubscribe
[root@dhcp-66-103-239 ~]# mv /etc/pki/product/*.pem /etc/pki/
[root@dhcp-66-103-239 ~]# subscription-manager subscribe --auto
No Installed products on system. No need to attach subscriptions.

(4)Check the consumer info from stage candlepin, and the field 'installedProducts' is not empty.
[root@dhcp-66-103-239 ~]# curl -u stage_test_12:redhat -k https://subscription.rhn.stage.redhat.com/subscription/consumers/8d61cb90-37c1-4d21-b7c3-acf6f6cdf781 | grep installedProducts
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  7949    0  7949    0     0   2414      0 --:--:--  0:00:03 --:--:--  7161
{"created":"2013-06-25T07:46:19.000+0000","updated":"2013-06-25T07:50:20.000+0000","id":"8a99f9843f3ddee1013f7a4c2a911bda","uuid":"8d61cb90-37c1-4d21-b7c3-acf6f6cdf781","name":"dhcp-66-103-239.englab.nay.redhat.com","username":"stage_test_12","entitlementStatus":"valid","serviceLevel":"","releaseVer":{"releaseVer":null},"idCert":{"created":"2013-06-25T07:46:20.000+0000","updated":"2013-06-25T07:46:20.000+0000","key":"-----BEGIN RSA PRIVATE KEY-----\nMIIEpAIBAAKCAQEAiszXNF8+wJy3+7RMhhq8CbPjBOaU30srELVO2sDFniRJAw7D\nM7fTsk3kfmn5EQDGr7Zc+1XQMzXSZK1A8NtQkjPdA63DMU7gYEgEibOnMcCfGnwj\nVehZJtHhetUvH3VjoSflUizDKWKDLMDIA8P9UuoafmcF9syjsNvVB87hHtYX2oWZ\nOUqxSuH4ZO8lGpV3OdyUT2M0YuuEwAhdbF9msPBn5XfXHOEZBGqKFs/94SwLKa7X\nsLU0d5aOd04U3eDPZgYnHqKRvozHTqJj+0RZkWGRBwWPaRClabcj2InIOIxUdzC2\nAeWe1IhiaGuAfitfJZdCLM+YTiggPCtBDEX/iwIDAQABAoIBAHwsASLjSnp6OcY+\naG9Yn3x2p9QMjIau8poB+ceNyb1ObNsFa/BqtkK/mHjXSXDCpv0vQkO/Y4FM1yom\nLQDM02nYaBMQcp08GVNJWnXueNbzoeLJx7rlIEywWu3OpleYZ0cXL/qx/O6bKQry\ndH2Z6pkwwf7vH9DJBnAEWrKfi5pPUJFlPhf+djAd7xkQskK3ozrOMk6NX31x2pVh\nXQpJ31JRP46Yk+OqeSrKSNI3nvD6KzAquKOVkHNFQUcdSJUzhHagxMIR2JdAR5OG\nJjkNlKG8GDfy4C8JCT/gRVNMkjdCryj/UFX7ehxMiGbSOMfpTMW42nQUV8+4BIaf\nSjeIBzECgYEAwySpiO99cSJMvowpwASOqRCSZ9ZqR13HmvAxj+9DrUKwi7CJVwIo\n+QoimJZqwJ1clm7hGETZ9/seXR45TDRGfP+hrc0aCL0ni5Hs2pyJcEyFaTWx0F4J\nK3UsojhQopiFhiJN9LOvQKY2KJInijSNH28j4fg5r8G3V+zJbJ9+MY0CgYEAthYC\nADb0QA0b9Tzx88OSlOYaRRP/SHlyFq8ZrRVDbwtf/0cw8hU5ilP8bKX4cSA+7/Jy\n9XDOlRf1Ad3TMZESd98ZgY77oTL1aDj35dF2KySZHVRZJrfsV7FYQv8hiSlYR9Bh\nyMinoYmXx3Dm5iqXJWw3IvwiPDC/ZLgfkiYNk3cCgYEAtZtmB6FR7brNDzwkEqZr\nGd3pUqeR6u7Ut1W32ksCgbkh0i6t8gJ5nSMYhUbe/Hi2VO3FoC9bZtQWMvTQwCGa\nQ/QnRDcvdliK9/ILKnwp0A/2zK4C2HbbM81th16/dEJbaTR9tjCO9ax5lJJIJ++2\nMj3deAvpq66tcS9VWTipWXUCgYByB6JFJCUeH5eMoxgawjV/zgJRlE5gwr1x+0In\nJJPQbN03bwv17tjUCfigyeemYL1JYxofHwAgWppzCsoB1oosS6kbe8GVl+Yb2OFW\nKTDJn+fLeFFEcBYwbL2LZ19HGH9Sqesy5IYmIZbNraTMK4vwQa7d1+xQqW6S0sPi\nsLX7zQKBgQCisf32RJrqufKyUY5ZPePGu5GnoKyTo4WUaISQCIMfkhCAG3NKh9Yg\nt662/VvrkyMsniHAV95D41bZlFQNhaSvdHC/gSbaz+aGI2Yh94b2rMZvc9VQV6Vq\ny2wWfr9bLfIzEMViI722klAoxb0oJaIQuYo6vbI1M7P32WUYwBi/1A==\n-----END RSA PRIVATE KEY-----\n","cert":"-----BEGIN CERTIFICATE-----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\nAAvUQg==\n-----END CERTIFICATE-----\n","id":"8a99f9843f3ddee1013f7a4c2e261bdd","serial":{"created":"2013-06-25T07:46:19.000+0000","updated":"2013-06-25T07:46:19.000+0000","id":3520571520852882594,"revoked":false,"collected":false,"expiration":"2014-06-25T07:46:19.000+0000","serial":3520571520852882594}},"type":{"id":"0","label":"system","manifest":false},"owner":{"id":"8a99f9833a7a39f2013a8c0365fd7313","key":"6752574","displayName":"6752574","href":"/owners/6752574"},"environment":null,"entitlementCount":0,"facts":{"virt.uuid":"Not Settable","net.interface.eth0.ipv6_netmask.link":"64","dmi.chassis.power_supply_state":"Safe","dmi.memory.error_correction_type":"Multi-bit ECC","dmi.processor.upgrade":"Other","network.ipv4_address":"10.66.103.239","dmi.bios.rom_size":"64 KB","net.interface.lo.ipv6_netmask.host":"128","dmi.processor.family":"Other","dmi.chassis.thermal_state":"Safe","net.interface.sit0.ipv4_netmask":"Unknown","cpu.thread(s)_per_core":"1","dmi.system.sku_number":"Not Specified","distribution.version":"5.10","dmi.bios.runtime_size":"96 KB","net.interface.eth0.ipv6_address.link":"fe80::98aa:79ff:fe8f:775e","dmi.bios.bios_revision":"1.0","dmi.memory.array_handle":"0x1000","dmi.system.version":"RHEL 6.2.0 PC","virt.is_guest":"true","memory.swaptotal":"2064376","dmi.memory.total_width":"64 bit","net.interface.lo.ipv6_address.host":"::1","dmi.system.product_name":"KVM","system.certificate_version":"3.2","net.interface.eth0.ipv4_address":"10.66.103.237","distribution.id":"Tikanga","dmi.bios.vendor":"Seabios","dmi.memory.location":"Other","dmi.memory.size":"1024 MB","dmi.chassis.type":"Other","uname.version":"#1 SMP Fri Jun 7 14:31:32 EDT 2013","dmi.bios.version":"0.5.1","cpu.core(s)_per_socket":"2","cpu.cpu(s)":"2","net.interface.sit0.ipv4_broadcast":"Unknown","dmi.chassis.serial_number":"Not Specified","dmi.chassis.version":"Not Specified","virt.host_type":"kvm","uname.nodename":"dhcp-66-103-239.englab.nay.redhat.com","dmi.memory.error_information_handle":"Not Provided","dmi.system.manufacturer":"Red Hat","dmi.system.serial_number":"Not Specified","net.interface.eth0.mac_address":"9A:AA:79:8F:77:5E","cpu.cpu_socket(s)":"1","dmi.chassis.security_status":"Unknown","dmi.memory.speed":"  (ns)","dmi.system.wake-up_type":"Power Switch","dmi.chassis.asset_tag":"Not Specified","memory.memtotal":"1026052","dmi.bios.relase_date":"01/01/2007","dmi.chassis.boot-up_state":"Safe","dmi.memory.form_factor":"DIMM","dmi.processor.socket_designation":"CPU 1","dmi.memory.use":"System Memory","dmi.processor.version":"Not Specified","dmi.memory.bank_locator":"Not Specified","dmi.system.status":"No errors detected","dmi.memory.data_width":"64 bit","net.interface.eth0.ipv4_netmask":"22","net.interface.lo.ipv4_broadcast":"Unknown","dmi.system.family":"Red Hat Enterprise Linux","net.interface.sit0.ipv4_address":"Unknown","dmi.processor.voltage":" ","net.interface.lo.ipv4_address":"127.0.0.1","distribution.name":"Red Hat Enterprise Linux Server","dmi.memory.maximum_capacity":"1 GB","net.interface.lo.ipv4_netmask":"8","uname.sysname":"Linux","dmi.processor.type":"Central Processor","dmi.memory.type":"RAM","uname.release":"2.6.18-360.el5","network.hostname":"dhcp-66-103-239.englab.nay.redhat.com","dmi.processor.status":"Populated:Enabled","network.ipv6_address":"::1","uname.machine":"x86_64","dmi.chassis.manufacturer":"Red Hat","dmi.memory.locator":"DIMM 0","dmi.bios.address":"0xe8000","net.interface.eth0.ipv4_broadcast":"10.66.103.255","dmi.system.uuid":"Not Settable","dmi.chassis.lock":"Not Present"},"lastCheckin":"2013-06-25T07:50:20.000+0000","installedProducts":[],"canActivate":false,"guestIds":[],"capabilities":[],"autoheal":true,"href":"/consumers/8d61cb90-37c1-4d21-b7c3-acf6f6cdf781"}


3. The rhsm.log of SAM is attached as 'rhsm_sam.log', and the rhsm.log of stage candlepin is attached as 'rhsm_stage.log'
Comment 1 qianzhan 2013-06-25 05:16:47 EDT
Created attachment 764991 [details]
'rhsm_stage.log'
Comment 2 Tom McKay 2013-08-06 14:08:14 EDT
Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: fbaa69451b49fcddbf219ad9b41cce66ae4fb8c3
      https://github.com/Katello/katello/commit/fbaa69451b49fcddbf219ad9b41cce66ae4fb8c3
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2013-08-06 (Tue, 06 Aug 2013)
Comment 3 qianzhan 2013-08-14 23:53:00 EDT
Verifying version:

[root@dhcp-65-42 product]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 1.4.3-6.el6sam_splice-Headpin
subscription-manager: 1.8.19-1.el5
python-rhsm: 1.8.16-1.el5

katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-cli-1.4.3-5.el6sat.noarch
katello-cli-common-1.4.3-5.el6sat.noarch
katello-common-1.4.3-6.el6sam_splice.noarch
katello-configure-1.4.4-2.el6sat.noarch
katello-glue-candlepin-1.4.3-6.el6sam_splice.noarch
katello-glue-elasticsearch-1.4.3-6.el6sam_splice.noarch
katello-headpin-1.4.3-6.el6sam_splice.noarch
katello-headpin-all-1.4.3-6.el6sam_splice.noarch
katello-selinux-1.4.4-2.el6sat.noarch
signo-katello-0.0.20-1.el6sat.noarch
candlepin-0.8.19-1.el6sam.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.19-1.el6sam.noarch
candlepin-tomcat6-0.8.19-1.el6sam.noarch
thumbslug-0.0.32-1.el6sam.noarch
thumbslug-selinux-0.0.32-1.el6sam.noarch

[root@dhcp-65-42 product]# subscription-manager register
Username: admin
Password: 
The system has been registered with ID: 2d3077ff-cd5f-4e8c-b96d-b04915d7439b 
[root@dhcp-65-42 product]# ls
69.pem  tmp
[root@dhcp-65-42 product]# mv 69.pem ../
[root@dhcp-65-42 product]# subscription-manager subscribe --auto
[root@dhcp-65-42 product]# echo $?
1
[root@dhcp-65-42 product]# subscription-manager list --consumed
No consumed subscription pools to list
[root@dhcp-65-42 product]# ll /etc/pki/entitlement/
total 0
[root@dhcp-65-42 product]# subscription-manager list --installed
No installed products to list

Mark this bug to status 'VERIFIED'.
Comment 5 errata-xmlrpc 2013-10-01 06:59:19 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1390.html

Note You need to log in before you can comment on or make changes to this bug.